/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __CMD_VAL_OBJECT_HPP
#define __CMD_VAL_OBJECT_HPP

int CmdValConstant(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValIndex(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValRecord(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValTable(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValThread(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValVariable(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

int CmdValVariableGroup(const char *applicationName, const char *objectType, const char *objectName, char **externalError, xmlDocPtr *docError);

#endif /* __CMD_VAL_OBJECT_HPP */
