/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef VAL_COMMON_H
#define VAL_COMMON_H 1

#if HAVE_CONFIG_H
#	include "config.h"
#endif

#include <stdio.h>

#ifndef HAVE_BOOL
#       define HAVE_BOOL 1
        enum boolvals { false, true };
        typedef enum boolvals bool;
#endif

#if STDC_HEADERS
#       include <string.h>
#elif HAVE_STRINGS_H
#       include <strings.h>
#endif /* STDS_HEADERS */

#if HAVE_TIME_H
#	include <time.h>
#endif

#if HAVE_CTYPE_H
#	include <ctype.h>
#endif

#if HAVE_SIGNAL_H
#	include <signal.h>
#endif

#if HAVE_FCNTL_H
#	include <fcntl.h>
#endif

#if HAVE_UNISTD_H
#	include <unistd.h>
#endif

#endif /* VAL_COMMON_H */
